Create a workspace
POST/compute/v1/admin/workspaces
Create a workspace
Body Parameters
name: optional string
Workspace name
minLength1
maxLength255
Returns
id: string
Workspace ID
archived_at: string
formatdate-time
created_at: string
formatdate-time
is_default: boolean
Whether this is the default workspace
name: string
Workspace name
updated_at: string
formatdate-time
Create a workspace
curl https://api.boltz.bio/compute/v1/admin/workspaces \
-H 'Content-Type: application/json' \
-H "x-api-key: $BOLTZ_API_KEY" \
-d '{}'{
"id": "id",
"archived_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_retention": {
"unit": "hours",
"value": 1
},
"is_default": true,
"name": "name",
"updated_at": "2019-12-27T18:11:19.117Z"
}Returns Examples
{
"id": "id",
"archived_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_retention": {
"unit": "hours",
"value": 1
},
"is_default": true,
"name": "name",
"updated_at": "2019-12-27T18:11:19.117Z"
}